
set DESTDIR=c:\psx\whack\cd\worlds\generic
set DESTFILE=c:\psx\whack\cd\worlds\generic\menu.bff
rem set CWLDDIR=c:\psx\whack\glovwld\hub8

set CWLDDIR=x:\ateam\psx-glover99\glovwld\spinhub



goto copy_hub8


rem ===========================================


call batches\mesh spinhub
rename %CWLDDIR%\spinhub.wld %CWLDDIR%\hub8.wld

if errorlevel 1 goto ending

bff_psa %CWLDDIR%\hub8.wld %DESTFILE% /halfg /create /glovescape /noanim
rem bff_psa %CWLDDIR%\hub8.wld %DESTFILE% /halfg /create /noanim
rem /fogged

if errorlevel 1 goto ending

rem call maketex HUB8
rem copy %CWLDDIR%\HUB8.spt %DESTDIR%\MENUHUB8.SPT

if exist %CWLDDIR%\HUB8spin.sky bff_psa %CWLDDIR%\HUB8.sky %DESTFILE% /rename sky

rem ===========================================


rem x:
rem cd x:\ateam\psx-glover99\glovwld\hub8
rem bff_coll  LNDPSA\hub8.lnd %DESTFILE%
rem c:
rem if errorlevel 1 goto ending


:copy_hub8


bff_psa  x:\ateam\psx-glover99\glovwld\hub8\lndpsa\hub8.lnd %DESTFILE% /halfg /noanim /nosorts /glovescape /flat /texanim lav 10 /texanim atwat1 10 /uvanim scrolconv 3 /uvanim waterfall 5 /uvanim lavafall 3 /uvanim fastwater 7 /uvanim scrolllogs 3 /create
rem /fogged
if errorlevel 1 goto ending


if exist %CWLDDIR%\HUB8spin.sky bff_psa %CWLDDIR%\HUB8.sky %DESTFILE% /rename sky


x:
cd  x:\ateam\psx-glover99\glovwld\hub8\textures
doschop -u -fspinhub.SPT *.bmp >errlst.txt
c:
copy x:\ateam\psx-glover99\glovwld\hub8\textures\spinhub.spt %DESTDIR%\MENUHUB8.SPT








bff_psa %CWLDDIR%\losenge.psa %DESTFILE%
if errorlevel 1 goto ending
bff_psa %CWLDDIR%\finallog.psa %DESTFILE%
if errorlevel 1 goto ending


x:
cd x:\ateam\psx-glover99\glovwld\menu\textures
doschop -u -c -fx:\ateam\psx-glover99\glovwld\menu\menu.spt *.bmp >errlst.txt
c:

copy x:\ateam\psx-glover99\glovwld\menu\menu.spt c:\psx\whack\cd\gfx

goto okay

:ending
echo "there were errors!"
:okay


